### More cli examples and test files

This document provides a few more example script files, VDB files, Data source files, and DDL files that you can try.  They go a bit further in complexity than the previous simple examples.  We will continue to add more examples to this page as they are developed.

Note that in __VDB Builder__, you can use __tab completion__ to see the available commands options, or use __help commandName__ to see command details.


### Requirements

* Install VDB Builder cli - refer to the [Installation Instructions](install-cli.md) for details


### Dynamic VDBs

Try importing these dynamic VDBs, which are a bit more complex than the previous examples.

- [PartsVDB-vdb.xml](files/PartsVDB-vdb.xml)
- [example1-vdb.xml](files/example1-vdb.xml)
- [BQTExample-vdb.xml](files/BQTExample-vdb.xml)

### DDL Files

Try DDL import using these files

- [Teiid-MySQLAccounts.ddl](files/Teiid-MySQLAccounts.ddl)
- [Teiid-FlatFile.ddl](files/Teiid-FlatFile.ddl)

### Data sources

Try importing these data source files using the upload-datasource command

- [ExampleDS.xml](files/ExampleDS.xml)
- [DatasourceDefns.xml](files/DatasourceDefns.xml)

### Command files

The following command files provide more examples of scripting VDB creation.

- [PartsVDBScript.txt](files/PartsVDBScript.txt) - re-creates __PartsVDB-vdb.xml__ dynamic VDB above
- [commandExample1.txt](files/commandExample1.txt)



